<!DOCTYPE html>

<html>

	<style>
	  body {
	    border-color: black;
	    border-width: 5px;
	    border-style: solid;
	    padding: 20px;
	    margin: 30px;
	  }
	</style>  


	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Software Engineering Code of Ethics and Professional Practice</title>
	</head>


	<body>

			<h4 align=right>
				<em>Science and Engineering Ethics (2001) 7, 231-238</em>
			</h4>

		<hr>
		
			<h1 align=center>
				<strong>Software Engineering Code of Ethics and Professional Practice <em>(short version)</em></strong>
			</h1>

			<h3 align=center>
				IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices
			</h3>


		<hr>

			<h2>PREAMBLE</h2>

				<p align=justify>
				The short version of the code summarizes aspirations at a high level of abstraction. Theclauses that are included in the full version give examples and details of how theseaspirations change the way we act as software engineering professionals. Without theaspirations, the details can become legalistic and tedious; without the details, theaspirations can become high-sounding but empty; together, the aspirations and thedetails form a cohesive code.

				<br>
				<br>

				Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following Eight Principles:
				</p>

					<ol>
							<li><strong>PUBLIC</strong> – Software engineers shall act consistently with the public interest.</li>

							<li><strong>CLIENT AND EMPLOYER</strong> – Software engineers shall act in a manner that is in the best interests of their client and employer consistent with the public interest.</li>

							<li><strong>PRODUCT</strong> – Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>

							<li><strong>JUDGEMENT</strong> – Software engineers shall maintain integrity and independence in their professional judgment.</li>

							<li><strong>MANAGEMENT</strong> – Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>

							<li><strong>PROFESSION</strong> – Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>

							<li><strong>COLLEAGUES</strong> – Software engineers shall be fair to and supportive of their colleagues.</li>

							<li><strong>SELF</strong> – Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
					</ol>

			<h4>
				For your reference, please click this <a href="https://www.researchgate.net/publication/278417404_Software_Engineering_Code_of_Ethics_and_Professional_Practice"
	      		target="_blank">link</a>.
	    	</h4>


	</body>


</html>